# List Mailgun API keys

List Mailgun API keys

Endpoint: GET /v1/keys
Version: 3.0.0
Security: basicAuth

## Security:

  - `basicAuth` (unknown)
    http basic

## Query parameters:

  - `domain_name` (string)
    Domain name filter for domain keys

  - `kind` (string)
    Key kind filter

## Response 200:

  - `200` (unknown)
    A 200 response

## Response 200 fields (application/json):

  - `total_count` (integer, required)
    The number of keys returned in 'items'

  - `items` (array, required)

  - `items.id` (string, required)
    The ID for the key

  - `items.description` (string, required)
    The description provided for the key upon its creation

  - `items.kind` (string, required)
    The type of the key which determines how it can be used
    Enum: "domain", "user", "web"

  - `items.role` (string, required)
    The role of the key which determines its scope in CRUD operations that have role-based access control
    Enum: "admin", "basic", "sending", "developer"

  - `items.created_at` (string, required)
    When the key was created in ISO 8601 date-time format without timezone offset (UTC time)
    Example: 2026-01-23T10:16:00

  - `items.updated_at` (string, required)
    When the key was last updated in ISO 8601 date-time format without timezone offset (UTC time)
    Example: 2026-01-23T10:16:00

  - `items.expires_at` (string)
    When the key will expire in ISO 8601 date-time format without timezone offset (UTC time)
    Example: 2026-01-23T10:16:00

  - `items.disabled_reason` (string)
    The reason for the key's disablement if applicable

  - `items.is_disabled` (boolean, required)
    Whether or not the key is disabled from use

  - `items.domain_name` (any, required)

  - `items.requestor` (any, required)

  - `items.user_name` (any, required)

## Response 400:

  - `400` (unknown)
    A 400 response

## Response 400 fields (application/json):

  - `message` (string, required)
    Response message

## Response 200 examples:

  - `Example` (unknown)

## Response 400 examples:

  - `Example` (unknown)

